Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cms
Class OriginatorIdentifierOrKey

    java.lang.Object
      |
      +--org.bouncycastle.asn1.cms.OriginatorIdentifierOrKey

All Implemented Interfaces:
  DEREncodable

public class OriginatorIdentifierOrKey
extends java.lang.Object
implements DEREncodable

Constructor Summary
`OriginatorIdentifierOrKey(ASN1OctetString id)`
`OriginatorIdentifierOrKey(DERObject id)`
`OriginatorIdentifierOrKey(IssuerAndSerialNumber id)`
`OriginatorIdentifierOrKey(OriginatorPublicKey id)`

Method Summary
`DERObject` | `getDERObject()` OriginatorIdentifierOrKey ::= CHOICE { issuerAndSerialNumber IssuerAndSerialNumber, subjectKeyIdentifier [0] SubjectKeyIdentifier, originatorKey [1] OriginatorPublicKey } SubjectKeyIdentifier ::= OCTET STRING
`DEREncodable` | `getId()`
`static OriginatorIdentifierOrKey` | `getInstance(ASN1TaggedObject o, boolean explicit)` return an OriginatorIdentifierOrKey object from a tagged object.
`static OriginatorIdentifierOrKey` | `getInstance(java.lang.Object o)` return an OriginatorIdentifierOrKey object from the given object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OriginatorIdentifierOrKey

    public OriginatorIdentifierOrKey(IssuerAndSerialNumber id)

### OriginatorIdentifierOrKey

    public OriginatorIdentifierOrKey(ASN1OctetString id)

### OriginatorIdentifierOrKey

    public OriginatorIdentifierOrKey(OriginatorPublicKey id)

### OriginatorIdentifierOrKey

    public OriginatorIdentifierOrKey(DERObject id)

Method Detail

### getInstance

    public static OriginatorIdentifierOrKey getInstance(ASN1TaggedObject o,
                                                        boolean explicit)

  return an OriginatorIdentifierOrKey object from a tagged object.

  Parameters:
    `o` - the tagged object holding the object we want.
    `explicit` - true if the object is meant to be explicitly tagged false otherwise.
  Throws:
    `java.lang.IllegalArgumentException` - if the object held by the tagged object cannot be converted.

### getInstance

    public static OriginatorIdentifierOrKey getInstance(java.lang.Object o)

  return an OriginatorIdentifierOrKey object from the given object.

  Parameters:
    `o` - the object we want converted.
  Throws:
    `java.lang.IllegalArgumentException` - if the object cannot be converted.

### getId

    public DEREncodable getId()

### getDERObject

    public DERObject getDERObject()

       OriginatorIdentifierOrKey ::= CHOICE {
       	issuerAndSerialNumber IssuerAndSerialNumber,
       	subjectKeyIdentifier [0] SubjectKeyIdentifier,
       	originatorKey [1] OriginatorPublicKey
       }

       SubjectKeyIdentifier ::= OCTET STRING

  Specified by:
    `getDERObject` in interface `DEREncodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD